Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.server.core
Class RuntimeClasspathProviderDelegate

    java.lang.Object
      org.eclipse.jst.server.core.RuntimeClasspathProviderDelegate

    public abstract class RuntimeClasspathProviderDelegate

extends java.lang.Object

A runtime classpath provider provides the classpath for a Java server runtime. This provider is scoped by runtime type and may provide the classpath for multiple runtime instances.

This abstract class is intended to be extended only by clients to extend the `runtimeClasspathProviders` extension point.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`RuntimeClasspathProviderDelegate()`

Method Summary
`boolean` | `hasRuntimeClasspathChanged(IRuntime runtime)`
`void` | `initialize(java.lang.String id)` Initializes this classpath provider with its life-long id.
`void` | `requestClasspathContainerUpdate(IRuntime runtime, IClasspathEntry[] entries)` Request that the classpath container for the given runtime and id be updated with the given classpath container entries.
`IClasspathEntry[]` | `resolveClasspathContainer(IProject project, IRuntime runtime)` Resolves (creates the classpath entries for) the classpath container with the given runtime and the given classpath container id (returned from getClasspathEntryIds()).
`IClasspathEntry[]` | `resolveClasspathContainer(IRuntime runtime)` Deprecated. use resolveClasspathContainer(IProject, IRuntime) instead
`IClasspathEntry[]` | `resolveClasspathContainerImpl(IProject project, IRuntime runtime)` Resolve the classpath container.
`IClasspathEntry[]` | `resolveClasspathContainerImpl(IRuntime runtime)` Deprecated. should use resolveClasspathContainerImpl(IProject, IRuntime) instead

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeClasspathProviderDelegate

    public RuntimeClasspathProviderDelegate()

Method Detail

### initialize

    public final void initialize(java.lang.String id)

  Initializes this classpath provider with its life-long id.

  This method is called by the framework. Clients should never call this method.

  Parameters:
    `id` - the extension id

### resolveClasspathContainer

    public IClasspathEntry[] resolveClasspathContainer(IRuntime runtime)

  Deprecated. use resolveClasspathContainer(IProject, IRuntime) instead

  Resolves (creates the classpath entries for) the classpath container with the given runtime and the given classpath container id (returned from getClasspathEntryIds()). If the classpath container cannot be resolved (for instance, if the runtime does not exist), return null.

  Parameters:
    `runtime` - the runtime to resolve the container for
  Returns:
    an array of classpath entries for the container, or null if the container could not be resolved

### resolveClasspathContainer

    public IClasspathEntry[] resolveClasspathContainer(IProject project,
                                                       IRuntime runtime)

  Resolves (creates the classpath entries for) the classpath container with the given runtime and the given classpath container id (returned from getClasspathEntryIds()). If the classpath container cannot be resolved (for instance, if the runtime does not exist), return null.

  Parameters:
    `project` - the project to resolve
    `runtime` - the runtime to resolve the container for
  Returns:
    an array of classpath entries for the container, or null if the container could not be resolved

### resolveClasspathContainerImpl

    public IClasspathEntry[] resolveClasspathContainerImpl(IRuntime runtime)

  Deprecated. should use resolveClasspathContainerImpl(IProject, IRuntime) instead

  Resolve the classpath container.

  Parameters:
    `runtime` - a runtime
  Returns:
    a possibly empty array of classpath entries

### resolveClasspathContainerImpl

    public IClasspathEntry[] resolveClasspathContainerImpl(IProject project,
                                                           IRuntime runtime)

  Resolve the classpath container.

  Parameters:
    `project` - a project
    `runtime` - a runtime
  Returns:
    a possibly empty array of classpath entries

### hasRuntimeClasspathChanged

    public boolean hasRuntimeClasspathChanged(IRuntime runtime)

### requestClasspathContainerUpdate

    public void requestClasspathContainerUpdate(IRuntime runtime,
                                                IClasspathEntry[] entries)

  Request that the classpath container for the given runtime and id be updated with the given classpath container entries.

  Parameters:
    `runtime` - a runtime
    `entries` - an array of classpath entries

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD